Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.simple
Class OracleUserLayoutStore

    java.lang.Object
      org.jasig.portal.layout.simple.RDBMUserLayoutStore
          org.jasig.portal.layout.simple.OracleUserLayoutStore

All Implemented Interfaces:
  IUserLayoutStore

    public final class OracleUserLayoutStore

extends RDBMUserLayoutStore
implements IUserLayoutStore

Oracle optimized SQL implementation of the 2.x relational database model Sequence numbers have the form of {Table Name}_SEQ and, at the moment, they must have been created by hand before uPortal is started. See UP_SEQUENCE in properties/data.xml for the tables that expect sequence counters, and the expected starting value. Prior to uPortal 2.5 this class existed in the package org.jasig.portal. It was moved to its present package to express that it is part of the Simple Layout Manager implementation.

Version:
  $Revision: 1.1 $
Author:
  George Lindholm

Field Summary

Fields inherited from class org.jasig.portal.layout.simple.RDBMUserLayoutStore
`channelPrefix, crs, csdb, DEBUG, folderPrefix, localeAware, log`

Constructor Summary
`OracleUserLayoutStore()`

Method Summary
`void` | `createCounter(java.lang.String tableName)` Create a sequence counter
`protected void` | `createCounter(java.lang.String tableName, int startAt)` Create a sequence counter, starting with a specific value
`int` | `getIncrementIntegerId(java.lang.String tableName)` Get the next incremental value
`void` | `setCounter(java.lang.String tableName, int value)` Modify the current value of a counter

Methods inherited from class org.jasig.portal.layout.simple.RDBMUserLayoutStore
`addStructureStylesheetDescription, addStructureStylesheetDescription, addSystemProfile, addThemeStylesheetDescription, addThemeStylesheetDescription, addUserProfile, channelApproved, createLayout, deleteSystemProfile, deleteUserProfile, dumpDoc, generateNewChannelSubscribeId, generateNewFolderId, getLayoutID, getMimeTypeList, getNextStructId, getStructId, getStructure, getStructureStylesheetDescription, getStructureStylesheetId, getStructureStylesheetList, getStructureStylesheetList, getStructureStylesheetUserPreferences, getSystemProfile, getSystemProfileById, getSystemProfileList, getThemeStylesheetDescription, getThemeStylesheetId, getThemeStylesheetList, getThemeStylesheetList, getThemeStylesheetUserPreferences, getUserLayout, getUserPreferences, getUserPreferences, getUserProfile, getUserProfileById, getUserProfileList, putUserPreferences, removeStructureStylesheetDescription, removeThemeStylesheetDescription, saveStructure, setStructureStylesheetUserPreferences, setSystemBrowserMapping, setThemeStylesheetUserPreferences, setUserBrowserMapping, setUserLayout, updateStructureStylesheetDescription, updateStructureStylesheetDescription, updateSystemProfile, updateThemeStylesheetDescription, updateThemeStylesheetDescription, updateUserProfile, xmlBool`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jasig.portal.layout.IUserLayoutStore
`addStructureStylesheetDescription, addSystemProfile, addThemeStylesheetDescription, addUserProfile, deleteSystemProfile, deleteUserProfile, generateNewChannelSubscribeId, generateNewFolderId, getMimeTypeList, getStructureStylesheetDescription, getStructureStylesheetList, getStructureStylesheetList, getStructureStylesheetUserPreferences, getSystemProfile, getSystemProfileById, getSystemProfileList, getThemeStylesheetDescription, getThemeStylesheetList, getThemeStylesheetList, getThemeStylesheetUserPreferences, getUserLayout, getUserPreferences, getUserProfile, getUserProfileById, getUserProfileList, putUserPreferences, removeStructureStylesheetDescription, removeThemeStylesheetDescription, setStructureStylesheetUserPreferences, setSystemBrowserMapping, setThemeStylesheetUserPreferences, setUserBrowserMapping, setUserLayout, updateStructureStylesheetDescription, updateSystemProfile, updateThemeStylesheetDescription, updateUserProfile`

Constructor Detail

### OracleUserLayoutStore

    public OracleUserLayoutStore()
                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### getIncrementIntegerId

    public int getIncrementIntegerId(java.lang.String tableName)
                              throws java.lang.Exception

  Get the next incremental value

  Parameters:
    `tableName` -
  Throws:
    `java.lang.Exception`

### createCounter

    public void createCounter(java.lang.String tableName)
                       throws java.lang.Exception

  Create a sequence counter

  Parameters:
    `tableName` -
  Throws:
    `java.lang.Exception`

### createCounter

    protected void createCounter(java.lang.String tableName,
                                 int startAt)
                          throws java.lang.Exception

  Create a sequence counter, starting with a specific value

  Parameters:
    `tableName` -
    `startAt` -
  Throws:
    `java.lang.Exception`

### setCounter

    public void setCounter(java.lang.String tableName,
                           int value)
                    throws java.lang.Exception

  Modify the current value of a counter

  Parameters:
    `tableName` -
    `value` -
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD